   .tgpoint-breadcrumb {
      z-index: 10;
      position: relative;
   }

   .tgpoint-content-body {

     &.game-gallery {
        height: calc(100% - 20px);
        padding: 20px 0px 0px 0px;

        .tgpoint-breadcrumb {
          padding: 0px 32px 0px 32px;
        }

        .tgpoint-gallery-container {
           height: calc(100% - 50px);

           .actions {
             padding: 0px 32px 0px 32px;
             width: calc(100% - 64px);
           }

           .tgpoint-gallery {
               height: calc(100% - 74px);

               .redux-infinite-scroll {
                 overflow-y: auto;
                 padding: 0px 16px 0px 32px;
               }
           }
        }
     }
   }


   ul.block_add_items_list {
      position: absolute;
      top: 56px;
      right: 0px;
      border-radius: 0 0 4px 4px;
      width: 100%;
      z-index: 9999999;
      max-width: 360px;
      cursor: default;
      //display: none;
      /* overflow: hidden; */
      max-height: 300px;
      background-color: #4c515c;
      transition: max-height 0.5s ease;

      li {
          margin: 8px;
          padding: 0;
          display: flex;
          border-radius: 4px;
          height: 48px;
          justify-content: center;
          align-items: center;
          background-color: rgb(39, 162, 206);
          text-transform: capitalize;
          font-weight: 500;
          font-size: 16px;
          color: rgb(67, 74, 84);
          cursor: pointer;
          font-weight: bold;
          background-color: rgba(39, 162, 206, 1);
      }
  }

.tgpoint-gallery-container {

  .tgpoint-gallery {
    .items-view {
      display: flex;
      flex-flow: row wrap;

      .item-box {
        background: #fff;
        border-radius: 4px;
        box-shadow: 0 4px 4px 0 rgba(0,0,0,0.24);

        hr {
          margin: 0;
        }

        .ic-edit-inactive {
          &:hover {
            background-image: url(/assets/svg/icon-edit-active.svg);
          }
        }

        .thumbnail {
          border-radius: 12px 12px 12px 12px;
        }
      }
    }

    //TODO: Implement this!
    /** --- LIST VIEW --- **/
    .items-view.list {
      & > div {width: 100%;}
      .item-box {
        margin: 8px 0 8px 0;
        padding: 15px;
        //overflow-y: auto;

        .item-main-block {
          display: flex;
          flex-direction: row;
          justify-content: space-between;

          .image-container .thumbnail {
            width: 88px;
            height: 88px;
          }
          .info-container {
            width: 100%;

            .game-information {
              padding: 0 0 0 10px;
            }
          }
        }

        /** --- Action buttons --- **/
        .item-actions {
          display: flex;
          flex-direction: row;
          justify-content: flex-end;

          .item-action-box {
            padding: 0 0 0 24px;
          }
        }

        .game-information {
          .game-title {
            font-family: $Rubik-Font;
            font-weight: 400;
            font-size: 8px;
            color: rgba(67,74,84,0.80);
            line-height: 8px;
          }

          .game-name {
            font-family: $Rubik-Font;
            font-weight: 500;
            font-size: 14px;
            color: #434A54;
            line-height: 17px;
          }
        }
        .game-description {
          .title {
            font-family: $Rubik-Font;
            font-weight: 400;
            font-size: 8px;
            color: rgba(67,74,84,0.80);
            line-height: 8px;
          }
          .text {
            font-family: $Rubik-Font;
            font-weight: 400;
            font-size: 12px;
            color: #434A54;
            line-height: 12px;
          }
        }

        .chips,
        .similar-items {
          padding: 0;
        }
        .similar-items-container {
          padding: 8px 0 0 0;
        }

        .line-separator-1,
        .line-separator-2,
        .line-separator-3 {
          background: #D8D8D8;
        }

        .line-separator-1 { margin: 16px 0 8px 0; }
        .line-separator-2 { margin: 8px 0 8px 0; }
        .line-separator-3 { margin: 0; }

        .similar-items > p {
          border-radius: 0 0 12px 12px;
        }

        /** --- DESKTOP LIST VIEW STYLES --- **/
        &.desktop {
          display: flex;
          flex-direction: row;
          justify-content: space-between;
          width: 100%;
          padding: 0;

          background: transparent;
          border-radius: 0;
          box-shadow: none;

          .bounding-box {
            background: #FFFFFF;
            border-radius: 4px 4px 4px 4px;
          }
          .bounding-box.main-item {
            width: 100%;
            display: flex;
            flex-direction: row;

            .item-right-block {
              display: flex;
              flex-direction: column;
              justify-content: space-between;
              padding: 8px 32px 0 0;
              width: 100%;

              .game-information {
                padding: 0 0 16px 0;

                .game-title {
                  font-family: $Rubik-Font;
                  font-size: 14px;
                  color: rgba(67,74,84,0.80);
                  line-height: 17px;
                }
                .game-name {
                  font-family: $Rubik-Font;
                  font-weight: 500;
                  font-size: 16px;
                  color: #434A54;
                  line-height: 17px;
                }
              }
            }

            .item-right-block-top {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
              width: 100%;
            }

            .image-container {
              .thumbnail {
                width: 160px;
                height: 160px;
                margin-right: 32px;
              }
            }
          }
          .bounding-box.additional-item {
            margin: 0 0 0 24px;
            padding: 8px 32px 32px 32px;

            .similar-items > p {
              background: transparent;
              border-radius: 0 0 0 0;
              padding: 0;

              /* Similar Titles:: */
              font-family: $Rubik-Font;
              font-weight: 400;
              font-size: 14px;
              color: rgba(67,74,84,0.80);
              line-height: 17px;
            }
          }

          .similar-items-container {
            overflow-x: auto;
            overflow-y: hidden;
            flex-wrap: nowrap;

            .similar-item {
              padding: 0;
              background: rgba(0, 0, 0, 0);
              font-family: $Rubik-Font;
              font-weight: 400;
              font-size: 14px;
              color: rgba(67,74,84,0.80);
              line-height: 17px;

              .thumbnail {
                width: 88px;
                height: 88px;
              }
            }
          }
        }
      }
    }
    /** --- GRID VIEW --- **/
    .items-view.grid {
      justify-content: space-around;

      .item-box {
        width: 344px;
        height: 297px;
        overflow-y: auto;
        margin: 0 14px 12px 0;

        .item-main-block {
          display: flex;
          flex-direction: row;
          align-items: flex-start;
          padding: 0px 16px;
          margin-top: 16px;

          .image-container .thumbnail {
            width: 120px;
            height: 120px;
          }
          .info-container {
            display: flex;
            flex-direction: column;
            width: 100%;
          }
        }

        .item-actions {
          display: flex;
          flex-direction: row;
          justify-content: flex-end;

          .item-action-box:not(:nth-of-type(1)) {
            margin-left: 16px;
          }
          .item-action-box {
            width: 48px;
            height: 48px;
            background: #27A2CE;
            box-shadow: 0 2px 2px 0 rgba(0,0,0,0.12);
            border-radius: 8.73px;
          }
        }

        .game-information {
          padding: 18px 0 0 16px;

          .game-title {
            font-family: $Rubik-Font;
            font-weight: 400;
            font-size: 12px;
            color: #4A4A4A;
            line-height: 14px;
          }
          .game-name {
            font-family: $Rubik-Font;
            font-weight: 500;
            font-size: 16px;
            color: #434A54;
            line-height: 14px;
          }
        }
      }
    }
    /** --- CHIPS STYLES --- **/
    .chips {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: flex-start;
      align-items: center;
      padding: 12px 16px 13px 16px;

      .date,
      .genre {
        margin: 0 8px 8px 0;
        padding: 6px 8px;
        font-family: $Rubik-Font;
        font-weight: 500;
        font-size: 12px;
        color: #FFFFFF;
        line-height: 12px;
      }

      .date {
        background: #8CC152;
        border-radius: 24px;
      }
      .genre {
        background: #E9EDF1;
        border-radius: 24px;
      }
    }
    /** --- SIMILAR ITEMS STYLES --- **/
    .similar-items {
      padding: 0 16px 7px 16px;

      p {
        font-family: $Rubik-Font;
        font-weight: 500;
        font-size: 10px;
        color: rgba(67,74,84,0.80);
        line-height: 8px;

        background: rgba(39,162,206,0.12);
        border-top-left-radius: 12px;
        border-top-right-radius: 12px;
        padding: 8px 0 8px 8px;
      }
    }
    .similar-items-container {
      display: flex;
      flex-wrap: wrap;
      flex-direction: row;
      padding: 0 16px 17px 16px;

      .similar-item {
        margin: 0 8px 0 0 ;
      }
      .similar-item .thumbnail {
        width: 48px;
        height: 48px;
      }
    }
  }
}


@media all and (min-width: 1280px) {  
    .items-view.list {
      .similar-items-container {
          justify-content: flex-start;
          overflow-y: auto;
          flex-wrap: wrap;
          width: 300px;
      }
    }
}

@media all and (max-width: 865px){
  .game-gallery {
    .action-item.sortable-filter {
       min-width: calc(100% - 80px);
    }
  }
}


@media all and (max-width: 380px) {
  .tgpoint-gallery-container {
    
    .tgpoint-gallery {

      .items-view.grid {
        .item-box {
          max-width: 128px;
          margin: 0;
          border-radius: 0;
          box-shadow: none;
          background: transparent;

          .item-main-block {
            flex-direction: column;
            padding: 0;
          }

          .game-information .game-name {
            font-family: $Rubik-Font;
            font-weight: 500;
            font-size: 14px;
            color: #434A54;
            line-height: 17px;
          }
        }

        .chips,
        .game-title,
        .similar-items,
        .similar-items-container,
        .item-box .item-actions {
          display: none;
        }
      }
    }
  }
}

@media all and (max-width: 1280px) {
  .tgpoint-gallery-container {
    .tgpoint-gallery {
      .items-view.list {
        .item-box.desktop {
          flex-direction: column;
          .item-actions {
            .item-action-box {
              padding: 0px 0px 0px 8px;
            }
          }
          .bounding-box.main-item {
            .image-container {
              .thumbnail {
                margin-right: 16px;
              }
            }
          }
          .bounding-box.additional-item {
            margin: 16px 0 0 0;
          }
        }
      }
    }
  }
}

img {
  image-rendering: -moz-crisp-edges;         /* Firefox */
  image-rendering:   -o-crisp-edges;         /* Opera */
  image-rendering: -webkit-optimize-contrast;/* Webkit (non-standard naming) */
  image-rendering: crisp-edges;
  -ms-interpolation-mode: nearest-neighbor;  /* IE (non-standard property) */
}
